Skip to main content
POST
/
api
/
onboarding
/
individual
/
first_central_summary
First Central Credit Summary
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/individual/first_central_summary/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "bvn": "22244545518"
}
'
{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt

Use this file to discover all available pages before exploring further.

The First Central Credit Summary endpoint returns a summary of an individual’s credit-related activities from the First Central bureau.

Endpoint

POST /api/onboarding/individual/first_central_summary/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
bvnstringYesThe individual’s 11-digit Bank Verification Number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/first_central_summary/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"bvn": "22244545518"}'

Response

200 OK

{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "JOHN DOE",
    "score": {}
  },
  "message": "First Central check successful"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
bvn
string
required
Example:

"22244545518"

Response

First Central summary retrieved